> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment methods

> List payment methods



## OpenAPI

````yaml get /v1/payment-methods
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/payment-methods:
    get:
      tags:
        - PaymentMethod
      summary: List payment methods
      description: List payment methods
      parameters:
        - example: 1
          x-order: '1'
          name: page
          in: query
          schema:
            type: integer
            minimum: 1
        - example: 25
          x-order: '2'
          name: page_size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: customer_id
          in: query
          schema:
            type: string
            maxLength: 255
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessPaginationResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/dtos.PaymentMethodResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessPaginationResponse:
      type: object
      properties:
        data:
          x-order: '1'
        pagination:
          allOf:
            - $ref: '#/components/schemas/dtos.PaginationResponse'
          x-order: '2'
    dtos.PaymentMethodResponse:
      type: object
      properties:
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        reference_id:
          type: string
          x-order: '2'
          example: EXT-878
        customer_id:
          type: string
          x-order: '3'
          example: CST-137
        provider:
          type: string
          x-order: '3.5'
          example: stax
        payment_method_type:
          type: string
          x-order: '4'
          example: card
        card_type:
          type: string
          x-order: '5'
          example: debit
        brand:
          type: string
          x-order: '6'
          example: visa
        status:
          type: string
          x-order: '7'
          example: active
        card_expiry:
          type: string
          x-order: '8'
          example: 09/25
        last_four_digits:
          type: string
          x-order: '9'
          example: '1234'
        display_name:
          type: string
          x-order: '10'
          example: John Doe
        address_line_1:
          type: string
          x-order: '13'
          example: 123 Main St
        address_line_2:
          type: string
          x-order: '14'
          example: Apt 101
        city:
          type: string
          x-order: '15'
          example: Anytown
        state:
          type: string
          x-order: '16'
          example: CA
        country:
          type: string
          x-order: '17'
          example: US
        zip_code:
          type: string
          x-order: '18'
          example: '12345'
        email:
          type: string
          x-order: '19'
          example: john.doe@example.com
        phone:
          type: string
          x-order: '20'
          example: '+14155552671'
        first_name:
          type: string
          x-order: '21'
          example: John
        last_name:
          type: string
          x-order: '22'
          example: Doe
        created_at:
          type: string
          x-order: '23'
          example: '2025-01-01T15:04:05Z'
        updated_at:
          type: string
          x-order: '24'
          example: '2025-01-01T15:04:05Z'
        is_default:
          type: boolean
          x-order: '25'
          example: false
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.PaginationResponse:
      type: object
      properties:
        total_records:
          type: integer
          x-order: '1'
          example: 100
        total_pages:
          type: integer
          x-order: '2'
          example: 10
        current_page:
          type: integer
          x-order: '3'
          example: 1
        next_page:
          type: integer
          x-order: '4'
          example: 2
        prev_page:
          type: integer
          x-order: '5'
          example: 0
        page_size:
          type: integer
          x-order: '6'
          example: 10
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````